rpcb_getport_sync
Prev | SUN RPC subsystem | Next

## Name

rpcb_getport_sync — obtain the port for an RPC service on a given host

## Synopsis

`int rpcb_getport_sync (` | struct sockaddr_in * | sin,
| u32 | prog,
| u32 | vers,
| int | prot`)`;

## Arguments

`sin`

  address of remote peer

`prog`

  RPC program number to bind

`vers`

  RPC version number to bind

`prot`

  transport protocol to use to make this request

## Description

Return value is the requested advertised port number, or a negative errno value.

Called from outside the RPC client in a synchronous task context. Uses default timeout parameters specified by underlying transport.

## XXX

Needs to support IPv6

Prev | Up | Next
rpc_unlink | Home | rpcb_getport_async